tigase.server.xmppsession

## Class SessionManager.WriterQueue<E extends Packet>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractQueue<E>
    - - tigase.server.xmppsession.SessionManager.WriterQueue<E>

- Type Parameters:
    `E` -
  All Implemented Interfaces:
    Iterable<E>, Collection<E>, Queue<E>
  Enclosing class:
    SessionManager

      protected class SessionManager.WriterQueue<E extends Packet>
      extends AbstractQueue<E>

  Class description
  Version:
    5.2.0, 13/11/02
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SessionManager.WriterQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<E>` | `iterator()` Method description
    `boolean` | `offer(E packet)` Method description
    `E` | `peek()` Method description
    `E` | `poll()` Method description
    `int` | `size()` Method description

    - ### Methods inherited from class java.util.AbstractQueue

      `add, addAll, clear, element, remove`

    - ### Methods inherited from class java.util.AbstractCollection

      `contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### SessionManager.WriterQueue

          protected SessionManager.WriterQueue()

  - ### Method Detail

    - #### iterator

          public Iterator<E> iterator()

      Method description
      Specified by:
        `iterator` in interface `Iterable<E extends Packet>`
      Specified by:
        `iterator` in interface `Collection<E extends Packet>`
      Specified by:
        `iterator` in class `AbstractCollection<E extends Packet>`
      Returns:
        a value of `Iterator`

    - #### offer

          public boolean offer(E packet)

      Method description
      Parameters:
        `packet` - is a `E`
      Returns:
        a value of `boolean`

    - #### peek

          public E peek()

      Method description
      Returns:
        a value of `E`

    - #### poll

          public E poll()

      Method description
      Returns:
        a value of `E`

    - #### size

          public int size()

      Method description
      Specified by:
        `size` in interface `Collection<E extends Packet>`
      Specified by:
        `size` in class `AbstractCollection<E extends Packet>`
      Returns:
        a value of `int`

Copyright © 2014 "Tigase, Inc.". All rights reserved.